Index: trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/module_lmd_driver.F.new
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/module_lmd_driver.F.new	(revision 1410)
+++ trunk/MESOSCALE/LMD_MM_MARS/SRC/WRFV2/phys/module_lmd_driver.F.new	(revision 1411)
@@ -1047,4 +1047,12 @@
              pdu,pdv,pdt,pdq,pdpsrf,tracerdyn)
 #endif
+
+!! specific scenario. necessary to add the right amount of dust.
+#ifdef DUSTSTORM
+IF (firstcall .EQV. .true.) THEN
+  pdq(:,:,:) = pdq(:,:,:) / dt
+ENDIF
+#endif
+
 print *, '** Mars ** CALL TO LMD PHYSICS DONE'
 DEALLOCATE(pplev)
Index: trunk/MESOSCALE/LMD_MM_MARS/makemeso
===================================================================
--- trunk/MESOSCALE/LMD_MM_MARS/makemeso	(revision 1410)
+++ trunk/MESOSCALE/LMD_MM_MARS/makemeso	(revision 1411)
@@ -47,5 +47,5 @@
    f ) fresh_start=1;;        ## a fresh start
    e ) from_scratch=1;;       ## a fresh start with a completely new folder
-   s ) scenario="${OPTARG}";; ## a specific scenario, you need a corresponding "mars_lmd_..."
+   s ) scenario="${OPTARG}";; ## a specific scenario (with precompiling flags)
    x ) donotcompile=1;phys="nophys_";donotcompilephys=1;; ## a case with no LMD physics included
    h ) echo "
@@ -77,5 +77,5 @@
 # makemeso -e                ## a completely new recompile with erasing ALL compiling folder
 #
-# makemeso -s storm          ## a specific scenario, you need a corresponding mars_lmd_... (only for newphys)
+# makemeso -s DUSTSTORM      ## a specific scenario (with precompiling flags)
 #
 # makemeso -x                ## a case with no LMD physics included
@@ -224,16 +224,5 @@
     then
      \rm copy_model_tmp > /dev/null 2> /dev/null
-        if [[ "${scenario}" == "" ]]
-        then
-          sed s+"mars_lmd"+"mars_lmd_new"+g             SRC/SCRIPTS/copy_model > copy_model_tmp
-        else
-          echo SCENARIO ${scenario} DID YOU INCLUDE THE SPECIFIC folder ? ; read dummy 
-          sed s+"mars_lmd"+"mars_lmd_new_${scenario}"+g SRC/SCRIPTS/copy_model > copy_model_tmp
-             if [[ "${config}" == "les" ]] 
-             then
-              echo "NOT SUPPORTED, check options" 
-              exit
-             fi
-        fi
+        sed s+"mars_lmd"+"mars_lmd_new"+g             SRC/SCRIPTS/copy_model > copy_model_tmp
         if [[ "${config}" == "les" ]] 
         then
@@ -246,25 +235,17 @@
      mv zeWRFV2 ${conf_wrf}/WRFV2
      cd ${conf_wrf}/WRFV2
-        if [[ "${scenario}" == "" ]]
+     ln -sf mars_lmd_new mars_lmd 
+     if [[ "${phys}" == "newphys_" ]]
+     then
+        if [[ "${config}" != "les" ]]
         then
-          ln -sf mars_lmd_new mars_lmd 
-          if [[ "${phys}" == "newphys_" ]]
-          then
-            if [[ "${config}" != "les" ]]
-            then
-              cp ../../SRC/WRFV2/Registry/Registry.EM.newphys Registry/Registry.EM
-            else
-              cp -L ../../SRC/LES/WRFV2/Registry/Registry.EM.newphys Registry/Registry.EM
-            fi
-          fi
-          cd phys
-          ln -sf module_lmd_driver.F.new module_lmd_driver.F
-          cd ..
+           cp ../../SRC/WRFV2/Registry/Registry.EM.newphys Registry/Registry.EM
         else
-          ln -sf mars_lmd_new_${scenario} mars_lmd 
-          cp ../../SRC/WRFV2/mars_lmd_new_${scenario}/Registry.EM mars_lmd_new_${scenario}/
-          cp ../../SRC/WRFV2/mars_lmd_new_${scenario}/*.inc mars_lmd_new_${scenario}/
-          cd Registry ; ln -sf ../mars_lmd_new_${scenario}/Registry.EM . ; cd ..
-        fi 
+           cp -L ../../SRC/LES/WRFV2/Registry/Registry.EM.newphys Registry/Registry.EM
+        fi
+     fi
+     cd phys
+     ln -sf module_lmd_driver.F.new module_lmd_driver.F
+     cd ..
 
      # remove files adapted to parallel GCM and useless for mesoscale
@@ -317,12 +298,9 @@
       clean -a > /dev/null 2> /dev/null
       ### get a possibly modified registry !
-      if [[ "${scenario}" == "" ]]
+      if [[ "${phys}" == "newphys_" ]]
       then
-        if [[ "${phys}" == "newphys_" ]]
-        then
-            cp ../../SRC/WRFV2/Registry/Registry.EM.newphys Registry/Registry.EM
-        else
-            cp ../../SRC/WRFV2/Registry/Registry.EM Registry/
-        fi
+          cp ../../SRC/WRFV2/Registry/Registry.EM.newphys Registry/Registry.EM
+      else
+          cp ../../SRC/WRFV2/Registry/Registry.EM Registry/
       fi
       if [[ "${config}" == "les" ]]
@@ -599,8 +577,18 @@
   fi
 
-        if [[ ! ("${scenario}" == "") ]]   ### not supported with LES for the moment
+        ### SCENARIO SCENARIO SCENARIO
+        if [[ ! ("${scenario}" == "") ]]   ### not supported with LES for the moment?
         then
+          # precompiling flag in WRF part
           sed s+"ARCHFLAGS       =       "+"ARCHFLAGS       =       -D${scenario} "+g configure.wrf > yeah
           mv -f yeah configure.wrf
+          # precompiling flag in LMD part
+          cd mars_lmd
+          cp -Lrf makegcm_${compilo} yeah
+          \rm makegcm_${compilo}
+          sed s+"-DMESOSCALE"+"-D${scenario} -DMESOSCALE"+ yeah > makegcm_${compilo}
+          chmod 755 makegcm_${compilo}
+          \rm yeah
+          cd ..
         fi
 