Index: /trunk/LMDZ.COMMON/libf/dyn3d_common/ugeostr.F90
===================================================================
--- /trunk/LMDZ.COMMON/libf/dyn3d_common/ugeostr.F90	(revision 1414)
+++ /trunk/LMDZ.COMMON/libf/dyn3d_common/ugeostr.F90	(revision 1415)
@@ -47,5 +47,4 @@
      ENDDO
   ENDDO
-  call dump2d(jjm,llm,um,'Vent-u geostrophique')
 
   !   calcul des champ de vent:
Index: /trunk/LMDZ.GENERIC/libf/dynlonlat_phylonlat/phystd/newstart.F
===================================================================
--- /trunk/LMDZ.GENERIC/libf/dynlonlat_phylonlat/phystd/newstart.F	(revision 1414)
+++ /trunk/LMDZ.GENERIC/libf/dynlonlat_phylonlat/phystd/newstart.F	(revision 1415)
@@ -15,5 +15,5 @@
 c=======================================================================
 
-      use infotrac, only: iniadvtrac, nqtot, tname
+      use infotrac, only: infotrac_init, nqtot, tname
       USE tracer_h, ONLY: igcm_co2_ice, igcm_h2o_vap, igcm_h2o_ice
       USE comsoil_h, ONLY: nsoilmx, layer, mlayer, inertiedat
@@ -25,5 +25,5 @@
 !      USE ioipsl_getincom, only: getin
       USE ioipsl_getincom_p, only: getin_p
-      use control_mod, only: day_step, iphysiq, anneeref
+      use control_mod, only: day_step, iphysiq, anneeref, planet_type
       use phyredem, only: physdem0, physdem1
       use iostart, only: open_startphy
@@ -198,8 +198,11 @@
       call initcomgeomphy
 ! Load tracer number and names:
-      call iniadvtrac(nqtot,numvanle)
+!      call iniadvtrac(nqtot,numvanle)
+      call infotrac_init
 ! allocate arrays
       allocate(q(iip1,jjp1,llm,nqtot))
       allocate(qsurf(ngridmx,nqtot))
+      
+      planet_type="generic"
 
 c=======================================================================
@@ -1637,6 +1640,6 @@
 
           
-      CALL dynredem0("restart.nc",day_ini,anneeref,phis,nqtot)
-      CALL dynredem1("restart.nc",0.0,vcov,ucov,teta,q,nqtot,masse,ps) 
+      CALL dynredem0("restart.nc",day_ini,phis)
+      CALL dynredem1("restart.nc",0.0,vcov,ucov,teta,q,masse,ps) 
 C
 C Ecriture etat initial physique
@@ -1646,5 +1649,5 @@
      &              nqtot,dtphys,real(day_ini),0.0,
      &              airefi,albfi,ithfi,zmea,zstd,zsig,zgam,zthe)
-      call physdem1("restartfi.nc",nsoilmx,ngridmx,llm,nq,
+      call physdem1("restartfi.nc",nsoilmx,ngridmx,llm,nqtot,
      &                dtphys,real(day_ini),
      &                tsurf,tsoil,emis,q2,qsurf,
Index: /trunk/LMDZ.GENERIC/libf/dynlonlat_phylonlat/phystd/start2archive.F
===================================================================
--- /trunk/LMDZ.GENERIC/libf/dynlonlat_phylonlat/phystd/start2archive.F	(revision 1414)
+++ /trunk/LMDZ.GENERIC/libf/dynlonlat_phylonlat/phystd/start2archive.F	(revision 1415)
@@ -19,5 +19,5 @@
 c=======================================================================
 
-      use infotrac, only: iniadvtrac, nqtot, tname
+      use infotrac, only: infotrac_init, nqtot, tname
       USE comsoil_h
       USE comgeomfi_h, ONLY: lati, long, area
@@ -28,4 +28,5 @@
       USE ioipsl_getincom
       USE planete_mod, only: year_day
+      USE control_mod, only: planet_type
       USE callkeys_mod, ONLY: ok_slab_ocean
       use filtreg_mod, only: inifilr
@@ -154,9 +155,12 @@
       IF (.not. ALLOCATED(area)) ALLOCATE(area(ngridmx))
 
+      planet_type="generic"
+
 c=======================================================================
 c Lecture des donnees
 c=======================================================================
 ! Load tracer number and names:
-      call iniadvtrac(nqtot,numvanle)
+!      call iniadvtrac(nqtot,numvanle)
+      call infotrac_init
 
 ! allocate arrays:
@@ -168,5 +172,5 @@
 
       fichnom = 'start.nc'
-      CALL dynetat0(fichnom,nqtot,vcov,ucov,teta,q,masse,
+      CALL dynetat0(fichnom,vcov,ucov,teta,q,masse,
      .       ps,phis,timedyn)
 
Index: /trunk/LMDZ.GENERIC/libf/phystd/phyetat0.F90
===================================================================
--- /trunk/LMDZ.GENERIC/libf/phystd/phyetat0.F90	(revision 1414)
+++ /trunk/LMDZ.GENERIC/libf/phystd/phyetat0.F90	(revision 1415)
@@ -378,4 +378,5 @@
       write(*,*) "phyetat0: Failed loading <",trim(txt),">"
       write(*,*) "         ",trim(txt)," is set to zero"
+      qsurf(:,iq) = 0.
     else
       write(*,*) "phyetat0: Surface tracer <",trim(txt),"> range:", &
Index: /trunk/LMDZ.MARS/libf/dyn3d/defrun_new.F
===================================================================
--- /trunk/LMDZ.MARS/libf/dyn3d/defrun_new.F	(revision 1414)
+++ /trunk/LMDZ.MARS/libf/dyn3d/defrun_new.F	(revision 1415)
@@ -1,3 +1,4 @@
       SUBROUTINE defrun_new( tapedef, etatinit )
+#ifndef CPP_PARA
 c
 c-----------------------------------------------------------------------
@@ -576,5 +577,8 @@
      &in run.def for this version... -> STOP ! '     
       end if
-
-      RETURN
+#else
+      write(*,*) "defrun_new should not be used in parallel mode!"
+      stop
+#endif
+! of #ifndef CPP_PARA
       END
Index: /trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/datareadnc.F
===================================================================
--- /trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/datareadnc.F	(revision 1414)
+++ /trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/datareadnc.F	(revision 1415)
@@ -235,10 +235,4 @@
      .         iim, jjp1, rlonv, rlatu, zmea,zstd,zsig,zgam,zthe)
 
-          CALL dump2d(iip1,jjp1,zmea,'zmea')
-          CALL dump2d(iip1,jjp1,zstd,'zstd')
-          CALL dump2d(iip1,jjp1,zsig,'zsig')
-          CALL dump2d(iip1,jjp1,zgam,'zgam')
-          CALL dump2d(iip1,jjp1,zthe,'zthe')
-
       endif
 
@@ -274,5 +268,4 @@
          z0(1:iimp1*jjp1)=pfield(1:iimp1*jjp1)*.01
          ! multiplied by 0.01 to have z0 in m
-         CALL dump2d(iimp1,jjp1,z0,'z0 in m')
       elseif (k.eq.1) then                    ! albedo
          do i=1,iimp1*jjp1
@@ -300,5 +293,4 @@
 
       phisinit(1:iimp1*jjp1)=1000.*phisinit(1:iimp1*jjp1)
-      CALL dump2d(iimp1,jjp1,phisinit,'Altitude in m')
       phisinit(:)=g*phisinit(:)
 
Index: /trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/newstart.F
===================================================================
--- /trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/newstart.F	(revision 1414)
+++ /trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/newstart.F	(revision 1415)
@@ -16,5 +16,5 @@
 
       use ioipsl_getincom, only: getin 
-      use infotrac, only: iniadvtrac, nqtot, tname
+      use infotrac, only: infotrac_init, nqtot, tname
       use tracer_mod, only: noms, mmol,
      &                      igcm_dust_number, igcm_dust_mass,
@@ -26,5 +26,5 @@
      &                     co2ice, emis
       use comsoil_h, only: inertiedat, layer, mlayer, nsoilmx, tsoil
-      use control_mod, only: day_step, iphysiq, anneeref
+      use control_mod, only: day_step, iphysiq, anneeref, planet_type
       use phyredem, only: physdem0, physdem1
       use iostart, only: open_startphy
@@ -179,4 +179,5 @@
       preff  = 610.    ! for Mars, instead of 101325. (Earth)
       pa= 20           ! for Mars, instead of 500 (Earth)
+      planet_type="mars"
 
 ! initialize "serial/parallel" related stuff
@@ -185,5 +186,6 @@
 
 ! Load tracer number and names:
-      call iniadvtrac(nqtot,numvanle)
+!      call iniadvtrac(nqtot,numvanle)
+      call infotrac_init
 ! allocate arrays
       allocate(q(iip1,jjp1,llm,nqtot))
@@ -1628,6 +1630,6 @@
       phis(iip1,:) = phis(1,:)
 
-      CALL inidissip ( lstardis, nitergdiv, nitergrot, niterh,
-     *                tetagdiv, tetagrot , tetatemp  )
+c      CALL inidissip ( lstardis, nitergdiv, nitergrot, niterh,
+c     *                tetagdiv, tetagrot , tetatemp  )
       itau=0
       if (choix_1.eq.0) then
@@ -1644,7 +1646,7 @@
 c    $    phi,conser,du,dv,dteta,dp,w, pbaru,pbarv, day_ini )
 
-      CALL dynredem0("restart.nc",day_ini,anneeref,phis,nqtot)
+      CALL dynredem0("restart.nc",day_ini,phis)
       CALL dynredem1("restart.nc",hour_ini,vcov,ucov,teta,q,
-     .               nqtot,masse,ps)
+     .               masse,ps)
 C
 C Ecriture etat initial physique
Index: /trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/start2archive.F
===================================================================
--- /trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/start2archive.F	(revision 1414)
+++ /trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/start2archive.F	(revision 1415)
@@ -19,5 +19,5 @@
 c=======================================================================
 
-      use infotrac, only: iniadvtrac, nqtot, tname
+      use infotrac, only: infotrac_init, nqtot, tname
       use comsoil_h, only: nsoilmx, inertiedat
       use surfdat_h, only: ini_surfdat_h, qsurf
@@ -25,4 +25,5 @@
       use comgeomphy, only: initcomgeomphy
       use filtreg_mod, only: inifilr
+      use control_mod, only: planet_type
       implicit none
 
@@ -120,4 +121,5 @@
       CALL init_phys_lmdz(iim,jjp1,llm,1,(/(jjm-1)*iim+2/))
       call initcomgeomphy
+      planet_type='mars'
 
 c=======================================================================
@@ -125,5 +127,6 @@
 c=======================================================================
 ! Load tracer number and names:
-      call iniadvtrac(nqtot,numvanle)
+!      call iniadvtrac(nqtot,numvanle)
+      call infotrac_init
 
 ! allocate arrays:
@@ -135,5 +138,5 @@
 
       fichnom = 'start.nc'
-      CALL dynetat0(fichnom,nqtot,vcov,ucov,teta,q,masse,
+      CALL dynetat0(fichnom,vcov,ucov,teta,q,masse,
      .       ps,phis,timedyn)
 