Index: trunk/LMDZ.COMMON/libf/dyn3d/addfi.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3d/addfi.F	(revision 1414)
+++ trunk/LMDZ.COMMON/libf/dyn3d/addfi.F	(revision 1422)
@@ -8,4 +8,5 @@
       USE infotrac, ONLY : nqtot
       USE control_mod, ONLY : planet_type
+      USE comconst_mod, ONLY: kappa
       IMPLICIT NONE
 c
@@ -48,7 +49,5 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comgeom.h"
-#include "serre.h"
 c
 c    Arguments :
Index: trunk/LMDZ.COMMON/libf/dyn3d/advect.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3d/advect.F	(revision 1414)
+++ trunk/LMDZ.COMMON/libf/dyn3d/advect.F	(revision 1422)
@@ -3,4 +3,8 @@
 !
       SUBROUTINE advect(ucov,vcov,teta,w,massebx,masseby,du,dv,dteta)
+
+      USE comconst_mod, ONLY: daysec
+      USE logic_mod, ONLY: conser
+      USE ener_mod, ONLY: gtot
 
       IMPLICIT NONE
@@ -26,9 +30,5 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
 #include "comgeom.h"
-#include "logic.h"
-#include "ener.h"
 
 c   Arguments:
Index: trunk/LMDZ.COMMON/libf/dyn3d/advtrac.F90
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3d/advtrac.F90	(revision 1414)
+++ trunk/LMDZ.COMMON/libf/dyn3d/advtrac.F90	(revision 1422)
@@ -11,4 +11,5 @@
   USE infotrac, ONLY: nqtot, iadv
   USE control_mod, ONLY: iapp_tracvl, day_step
+  USE comconst_mod, ONLY: dtvr
 
 
@@ -17,12 +18,6 @@
   include "dimensions.h"
   include "paramet.h"
-  include "comconst.h"
-  include "comvert.h"
   include "comdissip.h"
   include "comgeom2.h"
-  include "logic.h"
-  include "temps.h"
-  include "ener.h"
-  include "description.h"
   include "iniprint.h"
 
Index: trunk/LMDZ.COMMON/libf/dyn3d/bilan_dyn.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3d/bilan_dyn.F	(revision 1414)
+++ trunk/LMDZ.COMMON/libf/dyn3d/bilan_dyn.F	(revision 1422)
@@ -21,4 +21,7 @@
       USE control_mod, ONLY: planet_type 
       USE cpdet_mod, only: tpot2t
+      USE comvert_mod, ONLY: ap,bp,presnivs
+      USE comconst_mod, ONLY: rad,omeg,pi
+      USE temps_mod, ONLY: annee_ref,day_ref
 
       IMPLICIT NONE
@@ -26,8 +29,5 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
 #include "comgeom2.h"
-#include "temps.h"
 #include "iniprint.h"
 
Index: trunk/LMDZ.COMMON/libf/dyn3d/caladvtrac.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3d/caladvtrac.F	(revision 1414)
+++ trunk/LMDZ.COMMON/libf/dyn3d/caladvtrac.F	(revision 1422)
@@ -10,4 +10,5 @@
       USE infotrac, ONLY : nqtot
       USE control_mod, ONLY : iapp_tracvl,planet_type
+      USE comconst_mod, ONLY: dtvr
  
       IMPLICIT NONE
@@ -25,5 +26,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 
 c   Arguments:
Index: trunk/LMDZ.COMMON/libf/dyn3d/caldyn.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3d/caldyn.F	(revision 1414)
+++ trunk/LMDZ.COMMON/libf/dyn3d/caldyn.F	(revision 1422)
@@ -5,4 +5,6 @@
      $ (itau,ucov,vcov,teta,ps,masse,pk,pkf,tsurpk,phis ,
      $  phi,conser,du,dv,dteta,dp,w,pbaru,pbarv,time )
+
+      USE comvert_mod, ONLY: ap,bp
 
       IMPLICIT NONE
@@ -26,6 +28,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
 #include "comgeom.h"
 
Index: trunk/LMDZ.COMMON/libf/dyn3d/ce0l.F90
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3d/ce0l.F90	(revision 1414)
+++ trunk/LMDZ.COMMON/libf/dyn3d/ce0l.F90	(revision 1422)
@@ -39,6 +39,4 @@
 !#include "indicesol.h"
 #include "iniprint.h"
-#include "temps.h"
-#include "logic.h"
   INTEGER, PARAMETER            :: longcles=20
   REAL,    DIMENSION(longcles)  :: clesphy0
Index: trunk/LMDZ.COMMON/libf/dyn3d/conf_gcm.F90
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3d/conf_gcm.F90	(revision 1414)
+++ trunk/LMDZ.COMMON/libf/dyn3d/conf_gcm.F90	(revision 1422)
@@ -14,4 +14,13 @@
   use assert_m, only: assert
   use sponge_mod, only: callsponge,mode_sponge,nsponge,tetasponge
+  USE comconst_mod, ONLY: dissip_factz,dissip_deltaz,dissip_zref, 		&
+		dissip_fac_mid,dissip_fac_up,dissip_hdelta,dissip_pupstart, 	&
+		mode_top_bound,tau_top_bound,iflag_top_bound
+  USE logic_mod, ONLY: tidal,purmats,ok_guide,read_start,iflag_phys,		&
+		iflag_trac,ok_strato,ok_gradsfile,ok_limit,ok_etat0,		&
+		moyzon_mu,moyzon_ch,ok_strato,fxyhypb,ysinus
+  USE serre_mod, ONLY: clon,clat,grossismx,grossismy,dzoomx,dzoomy,		&
+		alphax,alphay,taux,tauy
+  USE temps_mod, ONLY: calend
 
   IMPLICIT NONE
@@ -32,10 +41,6 @@
   include "dimensions.h"
   include "paramet.h"
-  include "logic.h"
-  include "serre.h"
   include "comdissnew.h"
   include "iniprint.h"
-  include "temps.h"
-  include "comconst.h"
 
 ! FH 2008/05/09 On elimine toutes les clefs physiques dans la dynamique
Index: trunk/LMDZ.COMMON/libf/dyn3d/dissip.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3d/dissip.F	(revision 1414)
+++ trunk/LMDZ.COMMON/libf/dyn3d/dissip.F	(revision 1422)
@@ -4,4 +4,6 @@
       SUBROUTINE dissip( vcov,ucov,teta,p, dv,du,dh )
 c
+      USE comconst_mod, ONLY: dtvr,dtdiss
+
       IMPLICIT NONE
 
@@ -27,5 +29,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comgeom.h"
 #include "comdissnew.h"
Index: trunk/LMDZ.COMMON/libf/dyn3d/dteta1.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3d/dteta1.F	(revision 1414)
+++ trunk/LMDZ.COMMON/libf/dyn3d/dteta1.F	(revision 1422)
@@ -23,5 +23,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "logic.h"
 
       REAL teta( ip1jmp1,llm ),pbaru( ip1jmp1,llm ),pbarv( ip1jm,llm)
Index: trunk/LMDZ.COMMON/libf/dyn3d/dudv2.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3d/dudv2.F	(revision 1414)
+++ trunk/LMDZ.COMMON/libf/dyn3d/dudv2.F	(revision 1422)
@@ -28,5 +28,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
 
       REAL teta( ip1jmp1,llm ),pkf( ip1jmp1,llm ) ,bern( ip1jmp1,llm ),
Index: trunk/LMDZ.COMMON/libf/dyn3d/fluxstokenc.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3d/fluxstokenc.F	(revision 1414)
+++ trunk/LMDZ.COMMON/libf/dyn3d/fluxstokenc.F	(revision 1422)
@@ -18,9 +18,6 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
 #include "comgeom.h"
 #include "tracstoke.h"
-#include "temps.h"
 #include "iniprint.h"
 
Index: trunk/LMDZ.COMMON/libf/dyn3d/friction.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3d/friction.F	(revision 1414)
+++ trunk/LMDZ.COMMON/libf/dyn3d/friction.F	(revision 1422)
@@ -12,4 +12,5 @@
       USE ioipsl_getincom
 #endif
+      USE comconst_mod, ONLY: pi
       
       IMPLICIT NONE
@@ -30,5 +31,4 @@
 #include "paramet.h"
 #include "comgeom2.h"
-#include "comconst.h"
 #include "iniprint.h"
 #include "academic.h"
Index: trunk/LMDZ.COMMON/libf/dyn3d/gcm.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3d/gcm.F	(revision 1414)
+++ trunk/LMDZ.COMMON/libf/dyn3d/gcm.F	(revision 1422)
@@ -26,4 +26,6 @@
      &                       less1day,fractday,ndynstep,nsplit_phys
       use cpdet_mod, only: ini_cpdet
+      USE temps_mod, ONLY: calend,start_time,annee_ref,day_ref,
+     .		itau_dyn,itau_phy,day_ini,jD_ref,jH_ref,day_end
 
 #ifdef INCA
@@ -44,4 +46,7 @@
       USE mod_phys_lmdz_para, ONLY : klon_mpi_para_nb
 #endif
+      USE comconst_mod, ONLY: daysec,dtvr,dtphys,rad,g,r,cpp
+      USE logic_mod, ONLY: read_start,iflag_phys,ok_guide,ecripar
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
@@ -80,14 +85,7 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comdissnew.h"
-#include "comvert.h"
 #include "comgeom.h"
-#include "logic.h"
-#include "temps.h"
 !!!!!!!!!!!#include "control.h"
-#include "ener.h"
-#include "description.h"
-#include "serre.h"
 !#include "com_io_dyn.h"
 #include "iniprint.h"
@@ -166,5 +164,4 @@
       abort_message = 'last timestep reached'
       modname = 'gcm'
-      descript = 'Run GCM LMDZ'
       lafin    = .FALSE.
       dynhist_file = 'dyn_hist.nc'
Index: trunk/LMDZ.COMMON/libf/dyn3d/groupe.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3d/groupe.F	(revision 1414)
+++ trunk/LMDZ.COMMON/libf/dyn3d/groupe.F	(revision 1422)
@@ -18,7 +18,5 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comgeom2.h"
-#include "comvert.h"
 
       integer ngroup
Index: trunk/LMDZ.COMMON/libf/dyn3d/groupeun.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3d/groupeun.F	(revision 1414)
+++ trunk/LMDZ.COMMON/libf/dyn3d/groupeun.F	(revision 1422)
@@ -7,5 +7,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comgeom2.h"
 
@@ -139,5 +138,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comgeom2.h"
 
Index: trunk/LMDZ.COMMON/libf/dyn3d/guide_mod.F90
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3d/guide_mod.F90	(revision 1414)
+++ trunk/LMDZ.COMMON/libf/dyn3d/guide_mod.F90	(revision 1422)
@@ -13,4 +13,5 @@
   use netcdf, only: nf90_nowrite, nf90_open, nf90_inq_varid, nf90_close
   use pres2lev_mod
+  USE serre_mod, ONLY: grossismx
 
   IMPLICIT NONE
@@ -70,7 +71,4 @@
     INCLUDE "paramet.h"
     INCLUDE "netcdf.inc"
-
-    ! For grossismx:
-    include "serre.h"
 
     INTEGER                :: error,ncidpl,rid,rcod
@@ -313,4 +311,6 @@
 
     USE control_mod
+    USE comvert_mod, ONLY: ap,bp,preff,presnivs
+    USE comconst_mod, ONLY: daysec,dtvr
  
     IMPLICIT NONE
@@ -318,6 +318,4 @@
     INCLUDE "dimensions.h"
     INCLUDE "paramet.h"
-    INCLUDE "comconst.h"
-    INCLUDE "comvert.h"
 
     ! Variables entree
@@ -540,4 +538,6 @@
   SUBROUTINE guide_zonave(typ,hsize,vsize,field)
 
+    USE comconst_mod, ONLY: pi
+
     IMPLICIT NONE
 
@@ -545,5 +545,4 @@
     INCLUDE "paramet.h"
     INCLUDE "comgeom.h"
-    INCLUDE "comconst.h"
     
     ! input/output variables
@@ -605,11 +604,12 @@
   use exner_hyb_m, only: exner_hyb
   use exner_milieu_m, only: exner_milieu
+  USE comvert_mod, ONLY: ap,bp,preff,pressure_exner
+  USE comconst_mod, ONLY: cpp,kappa
+
   IMPLICIT NONE
 
   include "dimensions.h"
   include "paramet.h"
-  include "comvert.h"
   include "comgeom2.h"
-  include "comconst.h"
 
   REAL, DIMENSION (iip1,jjp1),     INTENT(IN) :: psi ! Psol gcm
@@ -853,11 +853,12 @@
 ! Calcul des constantes de rappel alpha (=1/tau)
 
+    USE comconst_mod, ONLY: pi
+    USE serre_mod, ONLY: clon,clat,grossismy
+
     implicit none
 
     include "dimensions.h"
     include "paramet.h"
-    include "comconst.h"
     include "comgeom2.h"
-    include "serre.h"
 
 ! input arguments :
@@ -1514,4 +1515,7 @@
   SUBROUTINE guide_out(varname,hsize,vsize,field)
 
+    USE comvert_mod, ONLY: presnivs
+    USE comconst_mod, ONLY: pi
+
     IMPLICIT NONE
 
@@ -1520,6 +1524,4 @@
     INCLUDE "netcdf.inc"
     INCLUDE "comgeom2.h"
-    INCLUDE "comconst.h"
-    INCLUDE "comvert.h"
     
     ! Variables entree
Index: trunk/LMDZ.COMMON/libf/dyn3d/integrd.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3d/integrd.F	(revision 1414)
+++ trunk/LMDZ.COMMON/libf/dyn3d/integrd.F	(revision 1422)
@@ -8,4 +8,8 @@
 
       use control_mod, only : planet_type
+      USE comvert_mod, ONLY: ap,bp
+      USE comconst_mod, ONLY: pi
+      USE logic_mod, ONLY: leapf
+      USE temps_mod, ONLY: dt
 
       IMPLICIT NONE
@@ -29,10 +33,5 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comgeom.h"
-#include "comvert.h"
-#include "logic.h"
-#include "temps.h"
-#include "serre.h"
 #include "iniprint.h"
 
Index: trunk/LMDZ.COMMON/libf/dyn3d/leapfrog.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3d/leapfrog.F	(revision 1414)
+++ trunk/LMDZ.COMMON/libf/dyn3d/leapfrog.F	(revision 1422)
@@ -25,4 +25,11 @@
       use sponge_mod, only: callsponge,mode_sponge,sponge
        use comuforc_h
+      USE comvert_mod, ONLY: ap,bp,pressure_exner,presnivs
+      USE comconst_mod, ONLY: daysec,dtvr,dtphys,dtdiss,
+     .			cpp,ihf,iflag_top_bound,pi
+      USE logic_mod, ONLY: iflag_phys,ok_guide,forward,leapf,apphys,
+     .			statcl,conser,apdiss,purmats,tidal,ok_strato
+      USE temps_mod, ONLY: jD_ref,jH_ref,itaufin,day_ini,day_ref,
+     .			start_time,dt
 
       IMPLICIT NONE
@@ -61,13 +68,6 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
 #include "comdissnew.h"
-#include "comvert.h"
 #include "comgeom.h"
-#include "logic.h"
-#include "temps.h"
-#include "ener.h"
-#include "description.h"
-#include "serre.h"
 !#include "com_io_dyn.h"
 #include "iniprint.h"
Index: trunk/LMDZ.COMMON/libf/dyn3d/logic_mod.F90
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3d/logic_mod.F90	(revision 1422)
+++ trunk/LMDZ.COMMON/libf/dyn3d/logic_mod.F90	(revision 1422)
@@ -0,0 +1,15 @@
+MODULE logic_mod
+
+IMPLICIT NONE  
+
+      LOGICAL purmats,forward,leapf,apphys,statcl,conser,               &
+     & apdiss,apdelq,saison,ecripar,fxyhypb,ysinus                      &
+     &  ,read_start,ok_guide,ok_strato,tidal,ok_gradsfile               &
+     &  ,ok_limit,ok_etat0,physic,grireg
+      logical hybrid ! vertical coordinate is hybrid if true (sigma otherwise)
+                     ! (only used if disvert_type==2)
+      logical moyzon_mu,moyzon_ch ! used for zonal averages in Titan
+
+      integer iflag_phys,iflag_trac
+
+END MODULE logic_mod
Index: trunk/LMDZ.COMMON/libf/dyn3d/qminimum.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3d/qminimum.F	(revision 1414)
+++ trunk/LMDZ.COMMON/libf/dyn3d/qminimum.F	(revision 1422)
@@ -11,5 +11,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
 c
       INTEGER nq
Index: trunk/LMDZ.COMMON/libf/dyn3d/sponge_mod.F90
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3d/sponge_mod.F90	(revision 1414)
+++ trunk/LMDZ.COMMON/libf/dyn3d/sponge_mod.F90	(revision 1422)
@@ -29,4 +29,5 @@
 ! A(t+dt)=A(t)-(A(t)-Am)*(1-exp(-lambda*dt))
 
+      USE comvert_mod, ONLY: ap,bp,preff,scaleheight
 
       implicit none
@@ -34,5 +35,4 @@
 #include "paramet.h"
 #include "comdissip.h"
-#include "comvert.h"
 #include "comgeom2.h"
 #include "iniprint.h"
Index: trunk/LMDZ.COMMON/libf/dyn3d/sw_case_williamson91_6.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3d/sw_case_williamson91_6.F	(revision 1414)
+++ trunk/LMDZ.COMMON/libf/dyn3d/sw_case_williamson91_6.F	(revision 1422)
@@ -26,4 +26,7 @@
 c
 c=======================================================================
+      USE comvert_mod, ONLY: ap,bp,preff
+      USE comconst_mod, ONLY: cpp,omeg,rad
+
       IMPLICIT NONE
 c-----------------------------------------------------------------------
@@ -33,6 +36,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "comvert.h"
-#include "comconst.h"
 #include "comgeom.h"
 #include "iniprint.h"
Index: trunk/LMDZ.COMMON/libf/dyn3d/temps_mod.F90
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3d/temps_mod.F90	(revision 1422)
+++ trunk/LMDZ.COMMON/libf/dyn3d/temps_mod.F90	(revision 1422)
@@ -0,0 +1,21 @@
+MODULE temps_mod
+
+IMPLICIT NONE  
+
+! jD_ref = jour julien de la date de reference (lancement de l'experience)
+! hD_ref = "heure" julienne de la date de reference
+
+      INTEGER   itaufin ! total number of dynamical steps for the run
+      INTEGER   itau_dyn, itau_phy
+      INTEGER   day_ini ! initial day # of simulation sequence
+      INTEGER   day_end ! final day # ; i.e. day # when this simulation ends
+      INTEGER   annee_ref
+      INTEGER   day_ref
+      REAL      dt ! (dynamics) time step (changes if doing Matsuno or LF step)
+      REAL      jD_ref, jH_ref, start_time
+      CHARACTER (len=10) :: calend
+
+      ! Additionnal Mars stuff:
+      real hour_ini ! initial fraction of day of simulation sequence (0=<hour_ini<1)
+
+END MODULE temps_mod
Index: trunk/LMDZ.COMMON/libf/dyn3d/top_bound.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3d/top_bound.F	(revision 1414)
+++ trunk/LMDZ.COMMON/libf/dyn3d/top_bound.F	(revision 1422)
@@ -3,10 +3,13 @@
 !
       SUBROUTINE top_bound(vcov,ucov,teta,masse,dt,ducov)
+
+      USE comvert_mod, ONLY: presnivs,scaleheight,preff
+      USE comconst_mod, ONLY: iflag_top_bound,tau_top_bound,
+     .			mode_top_bound
+
       IMPLICIT NONE
 c
 #include "dimensions.h"
 #include "paramet.h"
-#include "comconst.h"
-#include "comvert.h"
 #include "comgeom2.h"
 
Index: trunk/LMDZ.COMMON/libf/dyn3d/vlsplt.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3d/vlsplt.F	(revision 1414)
+++ trunk/LMDZ.COMMON/libf/dyn3d/vlsplt.F	(revision 1422)
@@ -22,7 +22,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
 
 c
@@ -131,7 +128,4 @@
       include "dimensions.h"
       include "paramet.h"
-      include "logic.h"
-      include "comvert.h"
-      include "comconst.h"
       include "iniprint.h"
 c
@@ -452,11 +446,10 @@
 c
 c   --------------------------------------------------------------------
+      USE comconst_mod, ONLY: pi
+
       IMPLICIT NONE
 c
 #include "dimensions.h"
 #include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
 #include "comgeom.h"
 c
@@ -772,7 +765,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
 c
 c
Index: trunk/LMDZ.COMMON/libf/dyn3d/vlspltqs.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3d/vlspltqs.F	(revision 1414)
+++ trunk/LMDZ.COMMON/libf/dyn3d/vlspltqs.F	(revision 1422)
@@ -27,7 +27,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
 
 c
@@ -174,7 +171,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
 c
 c
@@ -492,11 +486,10 @@
 c
 c   --------------------------------------------------------------------
+      USE comconst_mod, ONLY: pi
+
       IMPLICIT NONE
 c
 #include "dimensions.h"
 #include "paramet.h"
-#include "logic.h"
-#include "comvert.h"
-#include "comconst.h"
 #include "comgeom.h"
 c