Index: /trunk/LMDZ.MARS/libf/aeronomars/moldiff_red.F90
===================================================================
--- /trunk/LMDZ.MARS/libf/aeronomars/moldiff_red.F90	(revision 1430)
+++ /trunk/LMDZ.MARS/libf/aeronomars/moldiff_red.F90	(revision 1431)
@@ -3,5 +3,6 @@
 
 use tracer_mod, only: noms, mmol
-use comgeomphy, only: airephy
+use comgeomfi_h, only: area
+
 implicit none
 
@@ -598,7 +599,7 @@
 ! the trend only at the end
 
-	PhiEscH=PhiEscH+wi(i_h)*Nrafk(nlraf,i_h)*airephy(ig) ! in s-1
-	PhiEscH2=PhiEscH2+wi(i_h2)*Nrafk(nlraf,i_h2)*airephy(ig) ! in s-1 (U in m/s, aire in m2, Nrafk in m-3)
-!	print*,'test',ig,wi(i_h),Nrafk(nlraf,i_h),wi(i_h2),Nrafk(nlraf,i_h2),airephy(ig),PhiEscH,PhiEscH2,i_h,i_h2
+	PhiEscH=PhiEscH+wi(i_h)*Nrafk(nlraf,i_h)*area(ig) ! in s-1
+	PhiEscH2=PhiEscH2+wi(i_h2)*Nrafk(nlraf,i_h2)*area(ig) ! in s-1 (U in m/s, aire in m2, Nrafk in m-3)
+!	print*,'test',ig,wi(i_h),Nrafk(nlraf,i_h),wi(i_h2),Nrafk(nlraf,i_h2),area(ig),PhiEscH,PhiEscH2,i_h,i_h2
 !	stop
 
Index: /trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/iniphysiq.F90
===================================================================
--- /trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/iniphysiq.F90	(revision 1430)
+++ /trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/iniphysiq.F90	(revision 1431)
@@ -11,10 +11,10 @@
                                klon_mpi_begin ! start indes of columns (on local mpi grid)
 
-use comgeomphy, only : initcomgeomphy, &
-                       airephy, & ! physics grid area (m2)
-                       cuphy, & ! cu coeff. (u_covariant = cu * u)
-                       cvphy, & ! cv coeff. (v_covariant = cv * v)
-                       rlond, & ! longitudes
-                       rlatd ! latitudes
+!use comgeomphy, only : initcomgeomphy, &
+!                       airephy, & ! physics grid area (m2)
+!                       cuphy, & ! cu coeff. (u_covariant = cu * u)
+!                       cvphy, & ! cv coeff. (v_covariant = cv * v)
+!                       rlond, & ! longitudes
+!                       rlatd ! latitudes
 use infotrac, only : nqtot ! number of advected tracers
 use comgeomfi_h, only: ini_fillgeom
@@ -116,17 +116,17 @@
 
 
-!$OMP PARALLEL 
-! Now generate local lon/lat/cu/cv/area arrays
-call initcomgeomphy
-
-!!!!$OMP PARALLEL PRIVATE(ibegin,iend) 
-!!!$OMP+         SHARED(parea,pcu,pcv,plon,plat)
-      
-offset=klon_mpi_begin-1
-airephy(1:klon_omp)=airefi(offset+klon_omp_begin:offset+klon_omp_end)
-cuphy(1:klon_omp)=cufi(offset+klon_omp_begin:offset+klon_omp_end)
-cvphy(1:klon_omp)=cvfi(offset+klon_omp_begin:offset+klon_omp_end)
-rlond(1:klon_omp)=lonfi(offset+klon_omp_begin:offset+klon_omp_end)
-rlatd(1:klon_omp)=latfi(offset+klon_omp_begin:offset+klon_omp_end)
+!!$OMP PARALLEL 
+!! Now generate local lon/lat/cu/cv/area arrays
+!call initcomgeomphy
+!
+!!!!!$OMP PARALLEL PRIVATE(ibegin,iend) 
+!!!!$OMP+         SHARED(parea,pcu,pcv,plon,plat)
+! 
+!offset=klon_mpi_begin-1
+!airephy(1:klon_omp)=airefi(offset+klon_omp_begin:offset+klon_omp_end)
+!cuphy(1:klon_omp)=cufi(offset+klon_omp_begin:offset+klon_omp_end)
+!cvphy(1:klon_omp)=cvfi(offset+klon_omp_begin:offset+klon_omp_end)
+!rlond(1:klon_omp)=lonfi(offset+klon_omp_begin:offset+klon_omp_end)
+!rlatd(1:klon_omp)=latfi(offset+klon_omp_begin:offset+klon_omp_end)
 
 ! copy some fundamental parameters to physics 
@@ -134,5 +134,5 @@
 call phys_state_var_init(klon_omp,nlayer,nqtot, &
                          punjours,ptimestep,prad,pg,pr,pcpp)
-call ini_fillgeom(klon_omp,rlatd,rlond,airephy)
+!call ini_fillgeom(klon_omp,rlatd,rlond,airephy)
 call conf_phys(klon_omp,nlayer,nqtot)
 
Index: /trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/newstart.F
===================================================================
--- /trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/newstart.F	(revision 1430)
+++ /trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/newstart.F	(revision 1431)
@@ -29,5 +29,5 @@
       use phyredem, only: physdem0, physdem1
       use iostart, only: open_startphy
-      use comgeomphy, only: initcomgeomphy
+!      use comgeomphy, only: initcomgeomphy
 !      use planete_h
       use dimradmars_mod, only: tauscaling
@@ -182,5 +182,5 @@
 ! initialize "serial/parallel" related stuff
       CALL init_phys_lmdz(iim,jjp1,llm,1,(/(jjm-1)*iim+2/))
-      call initcomgeomphy
+      !call initcomgeomphy
 
 ! Load tracer number and names:
Index: /trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/start2archive.F
===================================================================
--- /trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/start2archive.F	(revision 1430)
+++ /trunk/LMDZ.MARS/libf/dynlonlat_phylonlat/phymars/start2archive.F	(revision 1431)
@@ -23,5 +23,5 @@
       use surfdat_h, only: ini_surfdat_h, qsurf
       use comsoil_h, only: ini_comsoil_h
-      use comgeomphy, only: initcomgeomphy
+!      use comgeomphy, only: initcomgeomphy
       use filtreg_mod, only: inifilr
       use control_mod, only: planet_type
@@ -118,5 +118,5 @@
 ! initialize "serial/parallel" related stuff
       CALL init_phys_lmdz(iim,jjp1,llm,1,(/(jjm-1)*iim+2/))
-      call initcomgeomphy
+      !call initcomgeomphy
       planet_type='mars'
 
Index: /trunk/LMDZ.MARS/libf/phymars/dyn1d/testphys1d.F
===================================================================
--- /trunk/LMDZ.MARS/libf/phymars/dyn1d/testphys1d.F	(revision 1430)
+++ /trunk/LMDZ.MARS/libf/phymars/dyn1d/testphys1d.F	(revision 1431)
@@ -13,5 +13,5 @@
       use control_mod, only: day_step
       use phyredem, only: physdem0,physdem1
-      use comgeomphy, only: initcomgeomphy
+!      use comgeomphy, only: initcomgeomphy
       use planete_h, only: year_day, periheli, aphelie, peri_day,
      &                     obliquit, emin_turb, lmixmin
@@ -117,5 +117,5 @@
 !      CALL init_phys_lmdz(iim,jjp1,llm,1,(/(jjm-1)*iim+2/))
       CALL init_phys_lmdz(iim,jjm+1,llm,1,(/(jjm-1)*iim+2/))
-      call initcomgeomphy
+      !call initcomgeomphy
 
 c ------------------------------------------------------